Skip to main content
The /swap/v1/price endpoint in the HyperBloom protocol is designed to provide an indicative price for a transaction. Unlike the /swap/v1/quote endpoint, it does not return a transaction executable on an Ethereum node but rather offers pricing information that would be available for a similar call to /swap/v1/quote. This endpoint is particularly useful for Request for Quote (RFQ) scenarios.

Request Schema

The request schema for /swap/v1/price mirrors that of /swap/v1/quote, with specific exceptions applicable across all supported chains:

Query Parameters

Response Schema

The response schema for /swap/v1/price is identical to /swap/v1/quote, except the guaranteedPrice, to, and data fields are always undefined.

Response Fields

Example

Get Price for Selling WETH to Buy feUSD To obtain a simple quote for exchanging 1 HYPE for feUSD, specify the sellToken, buyToken, and sellAmount. Request
Response